# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define module_name Number-Equation-XS
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.02
Release: alt1
Summary: Track how a number is calculated progamically.
Group: Development/Perl
License: artistic_2
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/L/LN/LNATION/%{module_name}-%{version}.tar.gz

%description
use Number::Equation;
_my $foo = Number::Equation->new(42);
_my $n = Number::Equation->new(42);
_$n = $n - 2;
_$n /= 10;
_$n *= 3;
_$n += 1;
_my $m = 1 / $n;
_print $m->equation; # (1 / ((((42 - 2) / 10) * 3) + 1)) = 0.0769230769230769

_my $n = Number::Equation->new(42, .01);
_$n = $n - 2;
_$n /= 10;
_$n *= 3;
_$n += 1;
_my $m = 1 / $n;
_print $m->equation; # (1 / ((((42 - 2) / 10) * 3) + 1)) .'' 0.08

_my $n = Number::Equation->new(211, 0);
_$n = $n ** 2;
_print $n->equation; # (211 ** 2) = 44521
_$n = $n %% 2;
_print $n->equation; # ((211 ** 2) %% 7) = 1

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc ignore.txt README Changes
%perl_vendor_archlib/N*
%perl_vendor_autolib/*

%changelog
* Mon Apr 07 2025 Igor Vlasenko <viy@altlinux.org> 0.02-alt1
- initial import by package builder

